List projects – Management API – MediaKind
List projects
get https://app.mk.io/api/v1/projects
Listing, Sorting and Filtering Projects
This endpoint returns the list of projects.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: assignedPaymentMethodId, created, createdBy, displayName, id, isActive, locationId, name, updated
Filtering
The $filter query parameter allows for projects to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: assignedPaymentMethodId, created, createdBy, createdByEmail, createdByName, displayName, id, isActive, locationId, locationName, name, updated
Examples:
?$top=10 - Returns only the first 10 projects from the list.
?$orderby=name desc - Sorts projects by name in descending order.
?$filter=name eq 'descriptive name' - Returns projects that match the provided name.
?$orderby=created desc - Sorts projects by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns projects created after January 1, 2021.
RBAC Capability Required: core.project.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
$orderby
stringOptional
Specifies the key by which the result collection should be ordered.$filter
stringOptional
Restricts the set of items returned.$top
stringOptional
Specifies a non-negative integernthat limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified valuen.$skiptoken
stringOptional
Specifies a start offset to support paginated results. Use@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities.show_hidden
stringOptional
Shows hidden projects if present.
Response
200 OK
@odata.nextLink
stringOptional
@odata.nextLink URL if the page length and number of items match.supplemental
objectListResponseSupplementalSchema Required
Supplemental infocount
integerRequired
Number of items returned- kind
stringRequired
Type of items in the list - operation
stringRequired
Operation type. Should always say 'list' - pagination
objectPaginationInfoSchema Required
Pagination info
- kind
end
integerRequired
Position of the last item in the list- records
integerRequired
Total number of items returned in the list - start
integerRequired
Position of the first item in the list - total
integerRequired
Total number of items in the project
- records
subscription
objectProjectInfoSchema Optional
Project infoid
stringRequired
Project ID- name
stringRequired
Project name
- name
value
list of objectsProjectGetSchema Required
List of projects the user has access to within this organization.
Errors
400 Bad Request
error
objectErrorDetail Required
Pertinent information about the errorcode
stringRequired
The error code.- detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error.
- detail
401 Unauthorized
- error
objectErrorDetail Required
Pertinent information about the error
403 Forbidden
- error
objectErrorDetail Required
Pertinent information about the error
404 Not Found
- error
objectErrorDetail Required
Pertinent information about the error
429 Too Many Requests
- error
objectErrorDetail Required
Pertinent information about the error
500 Internal Server Error
- error
objectErrorDetail Required
Pertinent information about the error